Loading...
Searching...
No Matches
RDKit::MarvinDataSgroup Class Reference

`#include <MarvinDefs.h>`

Inheritance diagram for RDKit::MarvinDataSgroup:

## Public Member Functions

| MarvinDataSgroup (MarvinMolBase *parent)
| MarvinDataSgroup (MarvinMolBase *parent, ptree &molTree)
MarvinMolBase * | copyMol (const std::string &idAppend) const override
std::string | toString () const override
ptree | toPtree () const override
std::string | role () const override
bool | hasAtomBondBlocks () const override
void | parseMoleculeSpecific (RDKit::RWMol *mol, std::unique_ptr< SubstanceGroup > &sgroup, int sequenceId) override
Public Member Functions inherited from RDKit::MarvinMolBase
void | addSgroupsToPtree (ptree &pt) const
virtual void | pushOwnedAtom (MarvinAtom *atom)
virtual void | pushOwnedBond (MarvinBond *bond)
virtual void | removeOwnedAtom (MarvinAtom *atom)
virtual void | removeOwnedBond (MarvinBond *bond)
int | getExplicitValence (const MarvinAtom &marvinAtom) const
| MarvinMolBase ()
virtual | ~MarvinMolBase ()
int | getAtomIndex (std::string id) const
int | getBondIndex (std::string id) const
const std::vector< std::string > | getBondList () const
const std::vector< std::string > | getAtomList () const
bool | AnyOverLappingAtoms (const MarvinMolBase *otherMol) const
void | cleanUpNumbering (int &molCount, int &atomCount, int &bondCount, int &sgCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
virtual void | cleanUpNumberingMolsAtomsBonds (int &molCount, int &atomCount, int &bondCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
void | cleanUpSgNumbering (int &sgCount, std::map< std::string, std::string > &sgMap)
virtual IsSgroupInAtomSetResult | isSgroupInSetOfAtoms (const std::vector< MarvinAtom * > &setOfAtoms) const
MarvinAtom * | findAtomByRef (std::string atomId)
MarvinBond * | findBondByRef (std::string atomId)
void | clearMaps ()
void | prepSgroupsForRDKit ()
void | processSgroupsFromRDKit ()
virtual bool | isPassiveRoleForExpansion () const
virtual bool | isPassiveRoleForContraction () const
virtual void | processSpecialSgroups ()
bool | has2dCoords () const
bool | has3dCoords () const
bool | hasAny3dCoords () const
bool | hasAny2dCoords () const
bool | hasCoords () const
void | removeCoords ()
void | parseAtomsAndBonds (ptree &molTree)

## Public Attributes

std::string | context
std::string | fieldName
std::string | placement
std::string | unitsDisplayed
std::string | queryType
std::string | queryOp
std::string | fieldData
std::string | units
double | x
double | y
Public Attributes inherited from RDKit::MarvinMolBase
std::string | molID
std::string | id
std::vector< MarvinAtom * > | atoms
std::vector< MarvinBond * > | bonds
std::vector< std::unique_ptr< MarvinMolBase > > | sgroups
MarvinMolBase * | parent

## Additional Inherited Members

Static Public Member Functions inherited from RDKit::MarvinMolBase
static bool | atomRefInAtoms (MarvinAtom *a, std::string b)
static bool | bondRefInBonds (MarvinBond *a, std::string b)
static bool | molIDInSgroups (std::string a, std::string b)

## Detailed Description

Definition at line 384 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## MarvinDataSgroup() [1/2]

RDKit::MarvinDataSgroup::MarvinDataSgroup | ( | MarvinMolBase * | parent | ) |

## MarvinDataSgroup() [2/2]

RDKit::MarvinDataSgroup::MarvinDataSgroup | ( | MarvinMolBase * | parent,
|  | ptree & | molTree
| ) |  |

## Member Function Documentation

## copyMol()

MarvinMolBase * RDKit::MarvinDataSgroup::copyMol | ( | const std::string & | idAppend | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## hasAtomBondBlocks()

bool RDKit::MarvinDataSgroup::hasAtomBondBlocks | ( |  | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## parseMoleculeSpecific()

void RDKit::MarvinDataSgroup::parseMoleculeSpecific | ( | RDKit::RWMol * | mol,
|  | std::unique_ptr< SubstanceGroup > & | sgroup,
|  | int | sequenceId
| ) |  |

override virtual

Reimplemented from RDKit::MarvinMolBase.

## role()

std::string RDKit::MarvinDataSgroup::role | ( |  | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## toPtree()

ptree RDKit::MarvinDataSgroup::toPtree | ( |  | ) | const

override virtual

Reimplemented from RDKit::MarvinMolBase.

## toString()

std::string RDKit::MarvinDataSgroup::toString | ( |  | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## Member Data Documentation

## context

std::string RDKit::MarvinDataSgroup::context

Definition at line 391 of file MarvinDefs.h.

## fieldData

std::string RDKit::MarvinDataSgroup::fieldData

Definition at line 397 of file MarvinDefs.h.

## fieldName

std::string RDKit::MarvinDataSgroup::fieldName

Definition at line 392 of file MarvinDefs.h.

## placement

std::string RDKit::MarvinDataSgroup::placement

Definition at line 393 of file MarvinDefs.h.

## queryOp

std::string RDKit::MarvinDataSgroup::queryOp

Definition at line 396 of file MarvinDefs.h.

## queryType

std::string RDKit::MarvinDataSgroup::queryType

Definition at line 395 of file MarvinDefs.h.

## units

std::string RDKit::MarvinDataSgroup::units

Definition at line 398 of file MarvinDefs.h.

## unitsDisplayed

std::string RDKit::MarvinDataSgroup::unitsDisplayed

Definition at line 394 of file MarvinDefs.h.

## x

double RDKit::MarvinDataSgroup::x

Definition at line 399 of file MarvinDefs.h.

## y

double RDKit::MarvinDataSgroup::y

Definition at line 400 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h